package com.citizenrandom;

import org.joda.time.DateTime;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

/**
 * 
 * @author Pedro Domingues (pedro.domingues@ist.utl.pt)
 *
 */
public final class Activator implements BundleActivator {

	final DateTime dt = new DateTime();

	public void start(BundleContext arg0) throws Exception {
		DateTime year2000 = dt.withYear(2000);
		System.out.println("\tAre we in " + year2000 + " ?");
	}

	public void stop(BundleContext arg0) throws Exception {
		DateTime twoHoursLater = dt.plusHours(2);
		System.out.println();
		System.out.println("\tMaybe we are in " + twoHoursLater + " ?");
	}

}
